Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.advice
Class AbstractAdvice

    java.lang.Object
      org.jboss.aop.advice.AbstractAdvice

All Implemented Interfaces:
  Interceptor, Untransformable

Direct Known Subclasses:
  PerInstanceAdvice, PerJoinpointAdvice

public abstract class AbstractAdvice
extends Object
implements Interceptor, Untransformable

Comment

Version:
  $Revision: 1.11 $
Author:
  Bill Burke

Field Summary
`protected String` | `adviceName`
`protected Class` | `aspectClass`
`protected Method` | `conCalledByConstructorAdvice`
`protected Method` | `conCalledByMethodAdvice`
`protected Method` | `constructorAdvice`
`protected Method` | `fieldAdvice`
`protected Method` | `fieldReadAdvice`
`protected Method` | `fieldWriteAdvice`
`protected Method` | `invocationAdvice`
`protected Method` | `methodAdvice`
`protected Method` | `methodCalledByConstructorAdvice`
`protected Method` | `methodCalledByMethodAdvice`

Constructor Summary
`AbstractAdvice()`

Method Summary
`protected static Method` | `findByConstructorCalledByConstructorInvocation(String adviceName, Class clazz)`
`protected static Method` | `findByConstructorCalledByMethodInvocation(String adviceName, Class clazz)`
`protected static Method` | `findByConstructorInvocation(String adviceName, Class clazz)`
`protected static Method` | `findByFieldInvocation(String adviceName, Class clazz)`
`protected static Method` | `findByFieldReadInvocation(String adviceName, Class clazz)`
`protected static Method` | `findByFieldWriteInvocation(String adviceName, Class clazz)`
`protected static Method` | `findByInvocation(String adviceName, Class clazz)`
`protected static Method` | `findByMethodCalledByConstructorInvocation(String adviceName, Class clazz)`
`protected static Method` | `findByMethodCalledByMethodInvocation(String adviceName, Class clazz)`
`protected static Method` | `findByMethodInvocation(String adviceName, Class clazz)`
`protected void` | `init(String advice, Class aspectClass)`
`protected Method` | `resolveAdvice(Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.aop.advice.Interceptor
`getName, invoke`

Field Detail

### invocationAdvice

    protected Method invocationAdvice

### methodAdvice

    protected Method methodAdvice

### constructorAdvice

    protected Method constructorAdvice

### fieldAdvice

    protected Method fieldAdvice

### fieldReadAdvice

    protected Method fieldReadAdvice

### fieldWriteAdvice

    protected Method fieldWriteAdvice

### methodCalledByMethodAdvice

    protected Method methodCalledByMethodAdvice

### methodCalledByConstructorAdvice

    protected Method methodCalledByConstructorAdvice

### conCalledByMethodAdvice

    protected Method conCalledByMethodAdvice

### conCalledByConstructorAdvice

    protected Method conCalledByConstructorAdvice

### aspectClass

    protected Class aspectClass

### adviceName

    protected String adviceName

Constructor Detail

### AbstractAdvice

    public AbstractAdvice()

Method Detail

### init

    protected void init(String advice,
                        Class aspectClass)

### findByInvocation

    protected static Method findByInvocation(String adviceName,
                                             Class clazz)

### findByMethodInvocation

    protected static Method findByMethodInvocation(String adviceName,
                                                   Class clazz)

### findByFieldInvocation

    protected static Method findByFieldInvocation(String adviceName,
                                                  Class clazz)

### findByFieldReadInvocation

    protected static Method findByFieldReadInvocation(String adviceName,
                                                      Class clazz)

### findByFieldWriteInvocation

    protected static Method findByFieldWriteInvocation(String adviceName,
                                                       Class clazz)

### findByConstructorInvocation

    protected static Method findByConstructorInvocation(String adviceName,
                                                        Class clazz)

### findByMethodCalledByMethodInvocation

    protected static Method findByMethodCalledByMethodInvocation(String adviceName,
                                                                 Class clazz)

### findByMethodCalledByConstructorInvocation

    protected static Method findByMethodCalledByConstructorInvocation(String adviceName,
                                                                      Class clazz)

### findByConstructorCalledByMethodInvocation

    protected static Method findByConstructorCalledByMethodInvocation(String adviceName,
                                                                      Class clazz)

### findByConstructorCalledByConstructorInvocation

    protected static Method findByConstructorCalledByConstructorInvocation(String adviceName,
                                                                           Class clazz)

### resolveAdvice

    protected Method resolveAdvice(Invocation invocation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.